<?php
require_once("../config/conexion.php");
require_once("../modelos/Zona.php");
$zona = new Zona();

switch ($_GET["op"]) {
    case "listar":
        $datos = $zona->get_zona();
        $data = [];
        foreach ($datos as $row) {
            $sub_array = [];
            $sub_array[] = $row["Ccod_zona"];
            $sub_array[] = $row["Cdes_zona"];
            $sub_array[] = $row["Sdesc_centro"];
            if ($row["Cactivo"] == '1') {
                $sub_array[] = '<span class="label label-pill label-success">Activo</span>';
            } else {
                $sub_array[] = '<span class="label label-pill label-default">Inactivo</span>';
            };
            $sub_array[] = '<button type="button" onClick="editar(' . $row["Ccod_zonaID"] . ');" id="' . $row["Ccod_zonaID"] . '" class="btn btn-info btn-sm"><i class="fa fa-cogs"></i></button>';
            $data[] = $sub_array;
        }
        $results = [
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        ];
        echo json_encode($results);
        break;

    case "guardaryeditar":
        if (empty($_POST["Ccod_zonaID"])) {
            $zona->insert_zona($_POST["Ccod_centroID"], $_POST["Ccod_zona"], $_POST["Cdes_zona"], $_POST["Cactivo"]);
        } else {
            $zona->update_zona($_POST["Ccod_zonaID"], $_POST["Ccod_centroID"], $_POST["Ccod_zona"], $_POST["Cdes_zona"], $_POST["Cactivo"]);
        }
        break;

    case "mostrar":
        $datos = $zona->get_zona_id($_POST["Ccod_zonaID"]);
        echo json_encode($datos);
        break;

    case "combo":
        $datos = $zona->get_centros();
        $html = "";
        foreach ($datos as $row) {
            $html .= "<option value='" . $row['Ccod_centroID'] . "'>" . $row['Ccod_centro'] . " - " . $row['Sdesc_centro'] . "</option>";
        }
        echo $html;
        break;

        
}
?>
